Subject: Re: bug#62750: 29.0.50; Commands 'package-update' and 'package-update-all' should be called '*-upgrade'

From: Philip Kaludercic <[email-masked]>
Date: Mon, 10 Apr 2023 13:25:04 +0000

Eli Zaretskii <[email-masked]> writes:

>> Date: Mon, 10 Apr 2023 07:53:52 -0500
>> From: Adam Porter <[email-masked]>
>> 
>>      +++
>>      *** New command 'package-update'.
>>      This command allows you to upgrade packages without using 'M-x
>>      list-packages'.
>> 
>>      +++
>>      *** New command 'package-update-all'.
>>      This command allows updating all packages without any queries.
>> 
>> But, IMHO, these commands should be named 'package-upgrade' and
>> 'package-upgrade-all'.
>
> These commands exist for the last year.  I'm not sure how reasonable
> it is to rename them now, they are probably used in umpteen places
> outside Emacs already.  Maybe if we leave behind an alias.
>
> And what if someone teaches these commands to downgrade as well, at
> some future time?
>
> Does anyone else have an opinion?  Lars, Stefan, Philip?

I don't think that "update" and "upgrade" have that clear of a semantic
difference in practice to necessitate a renaming.  E.g. Debian's "apt"
distinguishes between updating (ie. synchronising the local repository
state) and upgrading (fetching and installing newer versions of a
package), while Fedora's dnf bundles both into one step and refers to it
as updating.

The term "update" probably has a minor edge over "upgrade" since it is a
more popular term, that users are more likely to search for.